*{
    margin: 0;
    padding: 0;
    font-family: Arial;
}

html, body, #app, #layout{
    width: 100%;
    height: 100%;
    display: flex;
    min-height: 100vh;
    flex-direction: column;
    overflow: hidden;
    box-sizing: border-box;
}

a.blank{
    color: #4e1b14;
}

.side-menu, .side ul li a{
    color: #FFF;
}

.wrap{
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;
}

.network, #content {
    width:100%;
    height: 100%;
}



.status-bar{
    font-size: 1rem;
    background: #CCC;
    padding: 1rem;
    margin-top: auto;
    border-top: 2px solid #ffffff;
    border-left: 2px solid #585858;
    border-right: 2px solid #efefef;
    border-bottom: 2px solid #424242;
}

.status-bar h2{
    text-shadow: 1px 1px 0px #FFF;
    margin-bottom: 0.5rem;
}

.status-bar h2 .name{
    font-size: 2rem;
}

.status-bar span{
    text-shadow: 1px 1px 0px #FFF;
    font-weight: bold;
    margin: 0.5rem;
}

.status-bar span:first-of-type{
    margin-left: 0;
}

.status-bar span:last-of-type{
    margin-right: 0;
}

.status-bar span.status{
    color: #ED213A;

    font-size: 1.2rem;
}

.status-bar span.ok{
    color: #3ed086;
    font-size: 1.2rem;
}

.lds-facebook {
    display: inline-block;
    position: absolute;
    right: 6px;
    top: 6px;
    width: 64px;
    height: 64px;
}
.lds-facebook div {
    display: inline-block;
    position: absolute;
    right: 6px;
    width: 13px;
    background: #a7a1ed;
    animation: lds-facebook 1.2s cubic-bezier(0, 0.5, 0.5, 1) infinite;
}
.lds-facebook div:nth-child(1) {
    left: 6px;
    animation-delay: -0.24s;
}
.lds-facebook div:nth-child(2) {
    left: 26px;
    animation-delay: -0.12s;
}
.lds-facebook div:nth-child(3) {
    left: 45px;
    animation-delay: 300ms;
}
@keyframes lds-facebook {
    0% {
        top: 6px;
        height: 51px;
    }
    50%, 100% {
        top: 19px;
        height: 26px;
    }
}

.expand, .collapse{
    border: 0;
    width: 100%;
    display: block;
    border-radius: 0 0 0.3rem 0.3rem !important;
    background: #5cb85c;
    border-left: 0 !important;
    border-right: 0 !important;
    border-top:1px solid #ffffff;
    border-bottom:1px solid #1f401f;
    background: linear-gradient(to bottom, #5cb85c, #468b46); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    padding: 0.2rem;
}

.sorting,
.sorting_asc,
.sorting_desc{
    padding:4px;
    cursor:pointer;
    margin: 0;
}
.sorting{
    background:url(data:image/gif;base64,R0lGODlhCwALAJEAAAAAAP///xUVFf///yH5BAEAAAMALAAAAAALAAsAAAIUnC2nKLnT4or00PvyrQwrPzUZshQAOw==) no-repeat center;
}
.sorting_asc{
    background:url(data:image/gif;base64,R0lGODlhCwALAJEAAAAAAP///xUVFf///yH5BAEAAAMALAAAAAALAAsAAAIRnC2nKLnT4or00Puy3rx7VQAAOw==) no-repeat center;
}
.sorting_desc{
    background:url(data:image/gif;base64,R0lGODlhCwALAJEAAAAAAP///xUVFf///yH5BAEAAAMALAAAAAALAAsAAAIPnI+py+0/hJzz0IruwjsVADs=) no-repeat center;
}

.stoned{
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.side{
    border-right: 1px solid #CCC;
    display: flex;
    flex-direction: column;
    width: 25%;
    display: flex;
    flex-direction: column;
    background-color: #CCCCCC;
    background: -webkit-linear-gradient(to bottom, #CCCCCC, #acacac);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to bottom, #CCCCCC, #acacac); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    border-bottom: 1px solid #5a5a5a;
}

.tabs button.active{
    font-weight: normal;
    color: #555;
    text-shadow: none;
    box-shadow: none;
    background: #a7a1ed;  /* fallback for old browsers */
    border-top: 2px solid #35324e;
    border-left: 1px solid #ffffff;
    border-bottom: 1px solid #ffffff;
    border-right: 1px solid #35324e;
}

.side-title, .page-title{
    display: flex;
    padding: 0 0.5rem;
    align-items: end;
    justify-items: center;
    align-content: baseline;
}

.page-title{
    border-top: 1px solid #4575c3;
    border-right: 1px solid #4575c3;
    background: #94aeed;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to bottom, #3b4f93, #94aeed);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to bottom, #3b4f93, #94aeed); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    color: #FFF;
    border-bottom: 1px solid #373a91;
    border-left: 1px solid #373a91;
    text-shadow: 1px 1px 0px #2b2e71;
}

ul{
    overflow-y: auto;
    scroll-padding: 5px;
    height: auto;
}

ul li{
    list-style: none;
    padding: 0.5rem;
    border-top: 1px solid #e9eff3;
    border-bottom: 1px solid #425360;
    background: #bdc3c7;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to top, #83a8be, #bdc3c7);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to top, #83a8be, #bdc3c7); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    text-shadow: -1px 1px 0px #425360;
}

ul li.active, .side ul li.active{
    /*background: linear-gradient(to bottom, #ffd093, #ffdab9);*/
    background: #ffd093;
    border-top: 1px solid #425360;
    border-bottom: 1px solid #e9eff3;
    border-left: 2px solid #e9eff3;
    border-right: 2px solid #425360;
}

#content{
    background-color: #CCC;
    display: flex;
}

.header{
    list-style: none;
    display: flex;
    flex-wrap: nowrap;
    border-top: 1px solid #ffffff;
    border-right: 1px solid #ffffff;
    background: #dfdfdf;  /* fallback for old browsers */
    padding: 0.5em;
    color: #000000;
    border-bottom: 1px solid #888;
    border-left: 1px solid #888;
    text-shadow: none;
}

ul li.no-data{
    color: #a9a9a9;
    text-align: center;
    text-shadow: 1px 1px 0px #FFF;
}

ul li .shadow{
    color: #b9b9b9;
}

#linkList ul li.header{
    list-style: none;
    display: flex;
    justify-items: center;
    justify-content: space-between;
    flex-wrap: nowrap;
    border-right: 1px solid #b9f1ff;
    background: #7bc4ff;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to bottom, #7bc4ff, #c7e9ff);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to bottom, #7bc4ff, #c7e9ff); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    padding: 0.5rem;
    color: #FFFFFF;
    text-decoration: underline;
    border-bottom: 1px solid #4d7399;
    border-left: 1px solid #4d7399;
    text-shadow: 1px 1px 0px #888;
}

.header{
    border-top: 0;
}

ul li span, .header span{
    margin: 0 0.5em;
    word-wrap: break-word;
    vertical-align: middle;
}



#linkList ul li.root{
    list-style: none;
    display: flex;
    flex-wrap: nowrap;
    border-top: 1px solid #ffffff;
    border-right: 1px solid #ffffff;
    background-image: none;
    background-color: #ffe986;  /* fallback for old browsers */
    padding: 0.5em;
    color: #000000;
    border-bottom: 1px solid #888;
    border-left: 1px solid #888;
    text-shadow: none;
}

#linkList ul li{
    list-style: none;
    display: flex;
    flex-wrap: nowrap;
    border-top: 1px solid #ffffff;
    border-right: 1px solid #ffffff;
    background-image: none;
    background-color: #dfdfdf;  /* fallback for old browsers */
    padding: 0.5em;
    color: #000000;
    border-bottom: 1px solid #888;
    border-left: 1px solid #888;
    text-shadow: none;
    align-items: center;
}

#linkList ul li span, .header span, .header div{
    margin: 0 0.5em;
    word-wrap: break-word;
    vertical-align: middle;
}

.header span{
    cursor: pointer;
}

.searchbox, #linkList ul li.searchbox{
    background-color: #ffeca6;
}

#linkList ul li span .search-order{
    font-weight: bold;
    color: #d72333;
    text-shadow: none;
}

#linkList ul li span strong, #linkList ul li span a{
    text-shadow: 1px 1px 0px #ffffff;
}

a.refresh svg{
    width: 0.9rem;
    vertical-align: middle;
    color: #ED213A;
}

.rotating svg{
    animation: rotation 500ms linear 0s infinite;
    animation-fill-mode: forwards ;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100%{
        transform: rotate(180deg);
    }
}

#linkList ul li a svg{
    font-size: 0.5rem;
    width: 15px;
    -webkit-filter: drop-shadow( 1px 1px 0px #ffffff);
    filter: drop-shadow( 1px 1px 0px #ffffff);
    margin: 0 0.3rem;
}

a.big svg{
    width: 24px !important;
    vertical-align: middle;
}

.page-content{
    display: flex;
    flex-direction: column;
    height: auto;
    box-sizing: border-box;
    padding: 0.5rem;
    border-top: 2px solid #EEEEEE;
    border-right: 2px solid #dedede;
    border-bottom: 2px solid #656565;
    border-left: 2px solid #656565;
}

.page-content textarea, .page-content input[type=text], .page-content select, code{
    border-top: 2px solid #656565;
    border-bottom: 2px solid #eeeeee;
    border-left: 2px solid #eeeeee;
    border-right: 2px solid #656565;
    background-color: #ffffff;
    outline: none;
    box-shadow: inset -1px 1px 0px 1px rgba(0,0,0,0.5);
}

code.hljs{
    background-color: #ffffff;
}

/*code{*/
    /*border-bottom: 2px solid #ffffff;*/
    /*border-left: 2px solid #ffffff;*/
/*}*/

.page-content textarea{
    display: block;
    padding: 0.2rem;
    width: unset;
}

.page-content select{
    display: block;
    padding: 0.2rem;
    flex: 1 100%;
}

.page-content button, .side-title button{
    padding: 0.5rem;
    margin-right: 0.5rem;
    border-radius: 0.3rem;
    border-style: outset;
    border-right: 1px solid #EEE;
    border-top: 1px solid #FFF;
    border-left: 2px solid #898989;
    border-bottom: 2px solid #656565;
    background-color: #CCCCCC;
    background: -webkit-linear-gradient(to bottom, #CCCCCC, #acacac);
    background: linear-gradient(to bottom, #CCCCCC, #acacac);
    border-bottom: 1px solid #5a5a5a;
    box-shadow: -2px 2px 0px 1px rgba(6, 6, 6, 0.18);
    transition: 0.3s;
    outline: none;
}

.page-content button:active, .side-title button:active{
    color: #ed0028;
    text-shadow: 0px 0px 3px darkorange;
}

.page-content button:active svg{
    filter: drop-shadow(0px 0px 3px darkorange);
}

.page-content button:hover, .side-title button:hover{
    margin-right: calc(0.5rem + 1px);
    box-shadow: none;
    border-left: 1px solid #EEE;
    border-bottom: 1px solid #FFF;
    border-right: 1px solid #898989;
    border-top: 1px solid #656565;
}

.page-content button:disabled, .page-content button.undoredo:disabled{
    box-shadow: none;
    border-left: 1px solid #EEE;
    border-bottom: 1px solid #FFF;
    border-right: 1px solid #898989;
    border-top: 1px solid #656565;
    background-color: #CCCCCC;
    background: -webkit-linear-gradient(to bottom, #CCCCCC, #acacac);
    background: linear-gradient(to bottom, #CCCCCC, #acacac);
    pointer-events: none;
    color: #898989;
    text-decoration: line-through;
}

.page-content button.undoredo {
    display: flex;
    border-top: 1px solid #dfd3ff;
    border-right: 1px solid #dfd3ff;
    border-bottom: 1px solid #35324e;
    border-left: 1px solid #35324e;
    background: #a7a1ed;
    background: -webkit-gradient(linear, left top, left bottom, from(#676195), to(#a7a1ed));
    background: linear-gradient(to bottom, #676195, #a7a1ed);
    padding: 0;
    color: #FFF;
    justify-content: center;
}

.page-content button.undoredo span{
    text-align: center;
}

.page-content button.undoredo:hover {
    border-left: 1px solid #EEE;
    border-bottom: 1px solid #FFF;
    border-right: 1px solid #35324e;
    border-top: 1px solid #35324e;
    background: -webkit-gradient(linear, left top, left bottom, from(#676195), to(#a7a1ed));
    background: linear-gradient(to bottom, #676195, #a7a1ed);
    transition: all 0.5s;
}

.page-content button.undoredo:active {
    color: #ed0028;
    border-left: 1px solid #EEE;
    border-bottom: 1px solid #FFF;
    border-right: 1px solid #35324e;
    border-top: 1px solid #35324e;
    background: -webkit-gradient(linear, left top, left bottom, from(#676195), to(#a7a1ed));
    background: linear-gradient(to bottom, #676195, #a7a1ed);
    box-shadow: inset 0px 0px 0px 1px rgba(6, 6, 6, 0.18);
    transition: all 0.5s;
}

.page-content p{
    margin: 0.25rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    /*width: 100%;*/
}

.page-content p input[type=text]{
    margin: 0 0.5rem;
    padding: 0.2rem;
}

.cent{
    text-align: center;
}

.left{
    text-align: left;
}

.right{
    text-align: right;
}

.header span{
    flex: 1;
}

.header span:first-of-type, .header div:first-of-type, #linkList ul li span:first-of-type{
    margin-left: 0;
}

.header span:last-of-type, #linkList ul li span:last-of-type{
    margin-right: 0;
}

.searchbox input{
    padding: 0.2rem;
}

.header .five, ul li .five, .five{
    flex: 5;
}

.header span.four, ul li span.four, .four{
    flex: 4;
}

.header span.three, ul li span.three, .three{
    flex: 3;
}

.header span.two, ul li span.two, .two{
    flex: 2;
}

.header span.one, ul li span.one, .one{
    flex: 1;
}

.header span.zero, ul li span.zero, .zero{
    flex: 0;
}

label{
    text-shadow: -1px 1px 0px #ffffff;
    margin: 0 0.5rem;
}

.side ul li:last-of-type{
}

.side ul li{
    border-left: 2px solid #425360;
    border-right: 2px solid #e9eff3;
}

.side-menu span{
    display: none;
    width: .5rem;
    height: .5rem;
    margin: 0.2rem;
    background-color: #ffffff;
    border-radius: 50%;
}

.router-link-active span{
    display: inline-block;
}

.router-link-active{
    display: flex;
    flex-direction: column;
    align-items: center;
    align-content: center;
    justify-items: center;
}

.animated svg{
    animation: fadeOut 300ms ease 0s 1;
    animation-fill-mode: revert  ;
}

@keyframes deg90 {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(90deg);
    }
}

@keyframes fadeInOut {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}


@keyframes fadeOut {
    0% {
        opacity: 1;
        position: relative;
    }

    100% {
        color: #ED213A;
        transform: scale(2);
        opacity: 0;
    }
}

.animated{
    animation: fadeOut 500ms ease-in-out 0s 1;
    animation-fill-mode: backwards;
}

.header-ul{
    height: unset;
    overflow-y: unset;
    box-shadow: 0px 1px 7px 1px #585858;
}

button svg{
    width: 24px;
    height: 24px;
    margin: -0.25rem;
}


.red{
    color: #ED213A;
}

.green{
    color: #468b46;
}

div.page-content div.safe-txtarea{
    display: block;
    width: 100%;
    margin: 0.25rem;
    align-items: center;
}


.wrap-form{
    width: min-content;
    margin-bottom: 0.5rem;
}
